#include <iostream> 

using namespace std;
int main() {
    std::ios::sync_with_stdio(false);
    std::cin.tie(nullptr);
    int N, L;
    cin >> N;
    cin >> L;

    int height;
    for (int i = 1; i <= N; i++) {
        cin >> height;
        if (L >= height) {
            cout << i;
            return 0;
        }
    }
    cout << -1;
    return 0;
}